edu.wpi.first.wpilibj.buttons

## Class JoystickButton

- java.lang.Object
- - edu.wpi.first.wpilibj.buttons.Trigger
  - - edu.wpi.first.wpilibj.buttons.Button
    - - edu.wpi.first.wpilibj.buttons.JoystickButton

- All Implemented Interfaces:
    Sendable

      public class JoystickButton
      extends Button

  A `Button` that gets its state from a `GenericHID`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wpi.first.wpilibj.buttons.Trigger

      `Trigger.ButtonScheduler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoystickButton(GenericHID joystick, int buttonNumber)` Create a joystick button for triggering commands.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `get()` Gets the value of the joystick button.

    - ### Methods inherited from class edu.wpi.first.wpilibj.buttons.Button

      `cancelWhenPressed, toggleWhenPressed, whenPressed, whenReleased, whileHeld`

    - ### Methods inherited from class edu.wpi.first.wpilibj.buttons.Trigger

      `cancelWhenActive, getSmartDashboardType, initTable, toggleWhenActive, whenActive, whenInactive, whileActive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoystickButton

          public JoystickButton(GenericHID joystick,
                                int buttonNumber)

      Create a joystick button for triggering commands.
      Parameters:
        `joystick` - The GenericHID object that has the button (e.g. Joystick, KinectStick, etc)
        `buttonNumber` - The button number (see `GenericHID.getRawButton(int)`

  - ### Method Detail

    - #### get

          public boolean get()

      Gets the value of the joystick button.
      Specified by:
        `get` in class `Trigger`
      Returns:
        The value of the joystick button